// -----------
// This file was generated by riscv_ctg (https://gitlab.com/incoresemi/riscv-compliance/riscv_ctg)
// version   : 0.4.5
// timestamp : Thu May 20 05:32:05 2021 GMT
// usage     : riscv_ctg \
//                  --cgf /scratch/git-repo/github/riscv-ctg/sample_cgfs/dataset.cgf \
//                  --cgf /scratch/git-repo/github/riscv-ctg/sample_cgfs/rv64i_k.cgf \
//                  --base-isa rv64i \
//                  --randomize
// -----------
//
// -----------
// Copyright (c) 2021. Indian Institute of Technology Madras. All rights reserved.
// SPDX-License-Identifier: BSD-3-Clause
// -----------
//
// This assembly file tests the sm3p0 instruction of the RISC-V  extension for the sm3p0 covergroup.
// 
#include "model_test.h"
#include "arch_test.h"
RVTEST_ISA("RV64I_Zks")

.section .text.init
.globl rvtest_entry_point
rvtest_entry_point:
RVMODEL_BOOT
RVTEST_CODE_BEGIN

#ifdef TEST_CASE_1

RVTEST_CASE(0,"//check ISA:=regex(.*64.*);check ISA:=regex(.*I.*K.*);def TEST_CASE_1=True;",sm3p0)

RVTEST_CASE(1,"//check ISA:=regex(.*64.*);check ISA:=regex(.*I.*ZKs.*);def TEST_CASE_1=True;",sm3p0)

RVTEST_CASE(2,"//check ISA:=regex(.*64.*);check ISA:=regex(.*I.*ZKsh.*);def TEST_CASE_1=True;",sm3p0)

RVTEST_SIGBASE( x17,signature_x17_1)

inst_0:
// rs1 != rd, rs1==x4, rd==x25, rs1_val == 0x75a3adb3254a9493 
// opcode: sm3p0 ; op1:x4; dest:x25; op1val:0x75a3adb3254a9493;
li x4, 0x75a3adb3254a9493
sm3p0 x25, x4
sw x25, 0(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x25, 0x0000000000000000)

inst_1:
// rs1 == rd, rs1==x16, rd==x16, rs1_val == 9223372036854775807, 
// opcode: sm3p0 ; op1:x16; dest:x16; op1val:0x7fffffffffffffff;
li x16, 0x7fffffffffffffff
sm3p0 x16, x16
sw x16, 8(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x16, 0x0000000000000000)

inst_2:
// rs1==x27, rd==x22, rs1_val == 13835058055282163711, 
// opcode: sm3p0 ; op1:x27; dest:x22; op1val:0xbfffffffffffffff;
li x27, 0xbfffffffffffffff
sm3p0 x22, x27
sw x22, 16(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x22, 0x0000000000000000)

inst_3:
// rs1==x13, rd==x29, rs1_val == 16140901064495857663, 
// opcode: sm3p0 ; op1:x13; dest:x29; op1val:0xdfffffffffffffff;
li x13, 0xdfffffffffffffff
sm3p0 x29, x13
sw x29, 24(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x29, 0x0000000000000000)

inst_4:
// rs1==x20, rd==x15, rs1_val == 17293822569102704639, 
// opcode: sm3p0 ; op1:x20; dest:x15; op1val:0xefffffffffffffff;
li x20, 0xefffffffffffffff
sm3p0 x15, x20
sw x15, 32(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x15, 0x0000000000000000)

inst_5:
// rs1==x19, rd==x21, rs1_val == 17870283321406128127, 
// opcode: sm3p0 ; op1:x19; dest:x21; op1val:0xf7ffffffffffffff;
li x19, 0xf7ffffffffffffff
sm3p0 x21, x19
sw x21, 40(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x21, 0x0000000000000000)

inst_6:
// rs1==x30, rd==x2, rs1_val == 18158513697557839871, 
// opcode: sm3p0 ; op1:x30; dest:x2; op1val:0xfbffffffffffffff;
li x30, 0xfbffffffffffffff
sm3p0 x2, x30
sw x2, 48(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x2, 0x0000000000000000)

inst_7:
// rs1==x21, rd==x14, rs1_val == 18302628885633695743, 
// opcode: sm3p0 ; op1:x21; dest:x14; op1val:0xfdffffffffffffff;
li x21, 0xfdffffffffffffff
sm3p0 x14, x21
sw x14, 56(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x14, 0x0000000000000000)

inst_8:
// rs1==x7, rd==x0, rs1_val == 18374686479671623679, 
// opcode: sm3p0 ; op1:x7; dest:x0; op1val:0xfeffffffffffffff;
li x7, 0xfeffffffffffffff
sm3p0 x0, x7
sw x0, 64(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x0, 0x0000000000000000)

inst_9:
// rs1==x3, rd==x12, rs1_val == 18410715276690587647, 
// opcode: sm3p0 ; op1:x3; dest:x12; op1val:0xff7fffffffffffff;
li x3, 0xff7fffffffffffff
sm3p0 x12, x3
sw x12, 72(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x12, 0x0000000000000000)

inst_10:
// rs1==x31, rd==x9, rs1_val == 18428729675200069631, 
// opcode: sm3p0 ; op1:x31; dest:x9; op1val:0xffbfffffffffffff;
li x31, 0xffbfffffffffffff
sm3p0 x9, x31
sw x9, 80(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x9, 0x0000000000000000)

inst_11:
// rs1==x29, rd==x11, rs1_val == 18437736874454810623, 
// opcode: sm3p0 ; op1:x29; dest:x11; op1val:0xffdfffffffffffff;
li x29, 0xffdfffffffffffff
sm3p0 x11, x29
sw x11, 88(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x11, 0x0000000000000000)

inst_12:
// rs1==x10, rd==x23, rs1_val == 18442240474082181119, 
// opcode: sm3p0 ; op1:x10; dest:x23; op1val:0xffefffffffffffff;
li x10, 0xffefffffffffffff
sm3p0 x23, x10
sw x23, 96(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x23, 0x0000000000000000)

inst_13:
// rs1==x0, rd==x1, rs1_val == 18444492273895866367, 
// opcode: sm3p0 ; op1:x0; dest:x1; op1val:0x0;
li x0, 0x0
sm3p0 x1, x0
sw x1, 104(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x1, 0x0000000000000000)

inst_14:
// rs1==x28, rd==x6, rs1_val == 18445618173802708991, 
// opcode: sm3p0 ; op1:x28; dest:x6; op1val:0xfffbffffffffffff;
li x28, 0xfffbffffffffffff
sm3p0 x6, x28
sw x6, 112(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x6, 0x0000000000000000)

inst_15:
// rs1==x22, rd==x28, rs1_val == 18446181123756130303, 
// opcode: sm3p0 ; op1:x22; dest:x28; op1val:0xfffdffffffffffff;
li x22, 0xfffdffffffffffff
sm3p0 x28, x22
sw x28, 120(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x28, 0x0000000000000000)

inst_16:
// rs1==x8, rd==x30, rs1_val == 18446462598732840959, 
// opcode: sm3p0 ; op1:x8; dest:x30; op1val:0xfffeffffffffffff;
li x8, 0xfffeffffffffffff
sm3p0 x30, x8
sw x30, 128(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x30, 0x0000000000000000)

inst_17:
// rs1==x5, rd==x4, rs1_val == 18446603336221196287, 
// opcode: sm3p0 ; op1:x5; dest:x4; op1val:0xffff7fffffffffff;
li x5, 0xffff7fffffffffff
sm3p0 x4, x5
sw x4, 136(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x18, x4, 0x0000000000000000)

inst_18:
// rs1==x11, rd==x5, rs1_val == 18446673704965373951, 
// opcode: sm3p0 ; op1:x11; dest:x5; op1val:0xffffbfffffffffff;
li x11, 0xffffbfffffffffff
sm3p0 x5, x11
sw x5, 144(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x5, 0x0000000000000000)

inst_19:
// rs1==x24, rd==x10, rs1_val == 18446708889337462783, 
// opcode: sm3p0 ; op1:x24; dest:x10; op1val:0xffffdfffffffffff;
li x24, 0xffffdfffffffffff
sm3p0 x10, x24
sw x10, 152(x17)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x10, 0x0000000000000000)
RVTEST_SIGBASE( x4,signature_x4_0)

inst_20:
// rs1==x17, rd==x20, rs1_val == 18446726481523507199, 
// opcode: sm3p0 ; op1:x17; dest:x20; op1val:0xffffefffffffffff;
li x17, 0xffffefffffffffff
sm3p0 x20, x17
sw x20, 0(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x20, 0x0000000000000000)

inst_21:
// rs1==x2, rd==x19, rs1_val == 18446735277616529407, 
// opcode: sm3p0 ; op1:x2; dest:x19; op1val:0xfffff7ffffffffff;
li x2, 0xfffff7ffffffffff
sm3p0 x19, x2
sw x19, 8(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x19, 0x0000000000000000)

inst_22:
// rs1==x1, rd==x24, rs1_val == 18446739675663040511, 
// opcode: sm3p0 ; op1:x1; dest:x24; op1val:0xfffffbffffffffff;
li x1, 0xfffffbffffffffff
sm3p0 x24, x1
sw x24, 16(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x24, 0x0000000000000000)

inst_23:
// rs1==x12, rd==x31, rs1_val == 18446741874686296063, 
// opcode: sm3p0 ; op1:x12; dest:x31; op1val:0xfffffdffffffffff;
li x12, 0xfffffdffffffffff
sm3p0 x31, x12
sw x31, 24(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x31, 0x0000000000000000)

inst_24:
// rs1==x26, rd==x7, rs1_val == 18446742974197923839, 
// opcode: sm3p0 ; op1:x26; dest:x7; op1val:0xfffffeffffffffff;
li x26, 0xfffffeffffffffff
sm3p0 x7, x26
sw x7, 32(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x7, 0x0000000000000000)

inst_25:
// rs1==x15, rd==x18, rs1_val == 18446743523953737727, 
// opcode: sm3p0 ; op1:x15; dest:x18; op1val:0xffffff7fffffffff;
li x15, 0xffffff7fffffffff
sm3p0 x18, x15
sw x18, 40(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x18, 0x0000000000000000)

inst_26:
// rs1==x6, rd==x26, rs1_val == 18446743798831644671, 
// opcode: sm3p0 ; op1:x6; dest:x26; op1val:0xffffffbfffffffff;
li x6, 0xffffffbfffffffff
sm3p0 x26, x6
sw x26, 48(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x26, 0x0000000000000000)

inst_27:
// rs1==x25, rd==x13, rs1_val == 18446743936270598143, 
// opcode: sm3p0 ; op1:x25; dest:x13; op1val:0xffffffdfffffffff;
li x25, 0xffffffdfffffffff
sm3p0 x13, x25
sw x13, 56(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x13, 0x0000000000000000)

inst_28:
// rs1==x9, rd==x27, rs1_val == 18446744004990074879, 
// opcode: sm3p0 ; op1:x9; dest:x27; op1val:0xffffffefffffffff;
li x9, 0xffffffefffffffff
sm3p0 x27, x9
sw x27, 64(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x27, 0x0000000000000000)

inst_29:
// rs1==x23, rd==x8, rs1_val == 18446744039349813247, 
// opcode: sm3p0 ; op1:x23; dest:x8; op1val:0xfffffff7ffffffff;
li x23, 0xfffffff7ffffffff
sm3p0 x8, x23
sw x8, 72(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x8, 0x0000000000000000)

inst_30:
// rs1==x18, rd==x17, rs1_val == 18446744056529682431, 
// opcode: sm3p0 ; op1:x18; dest:x17; op1val:0xfffffffbffffffff;
li x18, 0xfffffffbffffffff
sm3p0 x17, x18
sw x17, 80(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x17, 0x0000000000000000)

inst_31:
// rs1==x14, rd==x3, rs1_val == 18446744065119617023, 
// opcode: sm3p0 ; op1:x14; dest:x3; op1val:0xfffffffdffffffff;
li x14, 0xfffffffdffffffff
sm3p0 x3, x14
sw x3, 88(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x3, 0x0000000000000000)

inst_32:
// rs1_val == 18446744069414584319, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfffffffeffffffff;
li x10, 0xfffffffeffffffff
sm3p0 x11, x10
sw x11, 96(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_33:
// rs1_val == 18446744071562067967, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xffffffff7fffffff;
li x10, 0xffffffff7fffffff
sm3p0 x11, x10
sw x11, 104(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_34:
// rs1_val == 18446744072635809791, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xffffffffbfffffff;
li x10, 0xffffffffbfffffff
sm3p0 x11, x10
sw x11, 112(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_35:
// rs1_val == 18446744073172680703, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xffffffffdfffffff;
li x10, 0xffffffffdfffffff
sm3p0 x11, x10
sw x11, 120(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_36:
// rs1_val == 18446744073441116159, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xffffffffefffffff;
li x10, 0xffffffffefffffff
sm3p0 x11, x10
sw x11, 128(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_37:
// rs1_val == 18446744073575333887, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfffffffff7ffffff;
li x10, 0xfffffffff7ffffff
sm3p0 x11, x10
sw x11, 136(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_38:
// rs1_val == 18446744073642442751, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfffffffffbffffff;
li x10, 0xfffffffffbffffff
sm3p0 x11, x10
sw x11, 144(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_39:
// rs1_val == 18446744073675997183, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfffffffffdffffff;
li x10, 0xfffffffffdffffff
sm3p0 x11, x10
sw x11, 152(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_40:
// rs1_val == 18446744073692774399, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfffffffffeffffff;
li x10, 0xfffffffffeffffff
sm3p0 x11, x10
sw x11, 160(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_41:
// rs1_val == 18446744073701163007, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xffffffffff7fffff;
li x10, 0xffffffffff7fffff
sm3p0 x11, x10
sw x11, 168(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_42:
// rs1_val == 18446744073705357311, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xffffffffffbfffff;
li x10, 0xffffffffffbfffff
sm3p0 x11, x10
sw x11, 176(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_43:
// rs1_val == 18446744073707454463, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xffffffffffdfffff;
li x10, 0xffffffffffdfffff
sm3p0 x11, x10
sw x11, 184(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_44:
// rs1_val == 18446744073708503039, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xffffffffffefffff;
li x10, 0xffffffffffefffff
sm3p0 x11, x10
sw x11, 192(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_45:
// rs1_val == 18446744073709027327, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfffffffffff7ffff;
li x10, 0xfffffffffff7ffff
sm3p0 x11, x10
sw x11, 200(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_46:
// rs1_val == 18446744073709289471, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfffffffffffbffff;
li x10, 0xfffffffffffbffff
sm3p0 x11, x10
sw x11, 208(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_47:
// rs1_val == 18446744073709420543, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfffffffffffdffff;
li x10, 0xfffffffffffdffff
sm3p0 x11, x10
sw x11, 216(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_48:
// rs1_val == 18446744073709486079, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfffffffffffeffff;
li x10, 0xfffffffffffeffff
sm3p0 x11, x10
sw x11, 224(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_49:
// rs1_val == 18446744073709518847, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xffffffffffff7fff;
li x10, 0xffffffffffff7fff
sm3p0 x11, x10
sw x11, 232(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_50:
// rs1_val == 18446744073709535231, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xffffffffffffbfff;
li x10, 0xffffffffffffbfff
sm3p0 x11, x10
sw x11, 240(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_51:
// rs1_val == 18446744073709543423, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xffffffffffffdfff;
li x10, 0xffffffffffffdfff
sm3p0 x11, x10
sw x11, 248(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_52:
// rs1_val == 18446744073709547519, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xffffffffffffefff;
li x10, 0xffffffffffffefff
sm3p0 x11, x10
sw x11, 256(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_53:
// rs1_val == 18446744073709549567, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfffffffffffff7ff;
li x10, 0xfffffffffffff7ff
sm3p0 x11, x10
sw x11, 264(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_54:
// rs1_val == 18446744073709550591, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfffffffffffffbff;
li x10, 0xfffffffffffffbff
sm3p0 x11, x10
sw x11, 272(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_55:
// rs1_val == 18446744073709551103, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfffffffffffffdff;
li x10, 0xfffffffffffffdff
sm3p0 x11, x10
sw x11, 280(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_56:
// rs1_val == 18446744073709551359, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfffffffffffffeff;
li x10, 0xfffffffffffffeff
sm3p0 x11, x10
sw x11, 288(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_57:
// rs1_val == 18446744073709551487, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xffffffffffffff7f;
li x10, 0xffffffffffffff7f
sm3p0 x11, x10
sw x11, 296(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_58:
// rs1_val == 18446744073709551551, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xffffffffffffffbf;
li x10, 0xffffffffffffffbf
sm3p0 x11, x10
sw x11, 304(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_59:
// rs1_val == 18446744073709551583, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xffffffffffffffdf;
li x10, 0xffffffffffffffdf
sm3p0 x11, x10
sw x11, 312(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_60:
// rs1_val == 18446744073709551599, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xffffffffffffffef;
li x10, 0xffffffffffffffef
sm3p0 x11, x10
sw x11, 320(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_61:
// rs1_val == 18446744073709551607, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfffffffffffffff7;
li x10, 0xfffffffffffffff7
sm3p0 x11, x10
sw x11, 328(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_62:
// rs1_val == 18446744073709551611, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfffffffffffffffb;
li x10, 0xfffffffffffffffb
sm3p0 x11, x10
sw x11, 336(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_63:
// rs1_val == 18446744073709551613, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfffffffffffffffd;
li x10, 0xfffffffffffffffd
sm3p0 x11, x10
sw x11, 344(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_64:
// rs1_val == 18446744073709551614, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfffffffffffffffe;
li x10, 0xfffffffffffffffe
sm3p0 x11, x10
sw x11, 352(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_65:
// rs1_val == 9223372036854775808, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x8000000000000000;
li x10, 0x8000000000000000
sm3p0 x11, x10
sw x11, 360(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_66:
// rs1_val == 4611686018427387904, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x4000000000000000;
li x10, 0x4000000000000000
sm3p0 x11, x10
sw x11, 368(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_67:
// rs1_val == 2305843009213693952, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x2000000000000000;
li x10, 0x2000000000000000
sm3p0 x11, x10
sw x11, 376(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_68:
// rs1_val == 1152921504606846976, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x1000000000000000;
li x10, 0x1000000000000000
sm3p0 x11, x10
sw x11, 384(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_69:
// rs1_val == 576460752303423488, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x800000000000000;
li x10, 0x800000000000000
sm3p0 x11, x10
sw x11, 392(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_70:
// rs1_val == 288230376151711744, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x400000000000000;
li x10, 0x400000000000000
sm3p0 x11, x10
sw x11, 400(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_71:
// rs1_val == 144115188075855872, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x200000000000000;
li x10, 0x200000000000000
sm3p0 x11, x10
sw x11, 408(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_72:
// rs1_val == 72057594037927936, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x100000000000000;
li x10, 0x100000000000000
sm3p0 x11, x10
sw x11, 416(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_73:
// rs1_val == 36028797018963968, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x80000000000000;
li x10, 0x80000000000000
sm3p0 x11, x10
sw x11, 424(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_74:
// rs1_val == 18014398509481984, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x40000000000000;
li x10, 0x40000000000000
sm3p0 x11, x10
sw x11, 432(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_75:
// rs1_val == 9007199254740992, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x20000000000000;
li x10, 0x20000000000000
sm3p0 x11, x10
sw x11, 440(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_76:
// rs1_val == 4503599627370496, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x10000000000000;
li x10, 0x10000000000000
sm3p0 x11, x10
sw x11, 448(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_77:
// rs1_val == 2251799813685248, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x8000000000000;
li x10, 0x8000000000000
sm3p0 x11, x10
sw x11, 456(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_78:
// rs1_val == 1125899906842624, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x4000000000000;
li x10, 0x4000000000000
sm3p0 x11, x10
sw x11, 464(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_79:
// rs1_val == 562949953421312, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x2000000000000;
li x10, 0x2000000000000
sm3p0 x11, x10
sw x11, 472(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_80:
// rs1_val == 281474976710656, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x1000000000000;
li x10, 0x1000000000000
sm3p0 x11, x10
sw x11, 480(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_81:
// rs1_val == 140737488355328, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x800000000000;
li x10, 0x800000000000
sm3p0 x11, x10
sw x11, 488(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_82:
// rs1_val == 70368744177664, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x400000000000;
li x10, 0x400000000000
sm3p0 x11, x10
sw x11, 496(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_83:
// rs1_val == 35184372088832, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x200000000000;
li x10, 0x200000000000
sm3p0 x11, x10
sw x11, 504(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_84:
// rs1_val == 17592186044416, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x100000000000;
li x10, 0x100000000000
sm3p0 x11, x10
sw x11, 512(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_85:
// rs1_val == 1, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x1;
li x10, 0x1
sm3p0 x11, x10
sw x11, 520(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_86:
// rs1_val == 0xb6f9706fb4f741aa 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xb6f9706fb4f741aa;
li x10, 0xb6f9706fb4f741aa
sm3p0 x11, x10
sw x11, 528(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_87:
// rs1_val == 0x40a5ff526f38a9c7 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x40a5ff526f38a9c7;
li x10, 0x40a5ff526f38a9c7
sm3p0 x11, x10
sw x11, 536(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_88:
// rs1_val == 0xd05668ae0fdb82bc 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xd05668ae0fdb82bc;
li x10, 0xd05668ae0fdb82bc
sm3p0 x11, x10
sw x11, 544(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_89:
// rs1_val == 0x9bedfe390d6ddd9d 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x9bedfe390d6ddd9d;
li x10, 0x9bedfe390d6ddd9d
sm3p0 x11, x10
sw x11, 552(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_90:
// rs1_val == 0xaa6bb2bde9ed477d 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xaa6bb2bde9ed477d;
li x10, 0xaa6bb2bde9ed477d
sm3p0 x11, x10
sw x11, 560(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_91:
// rs1_val == 0xd75739f82ac177c6 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xd75739f82ac177c6;
li x10, 0xd75739f82ac177c6
sm3p0 x11, x10
sw x11, 568(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_92:
// rs1_val == 0x299c3bcf90efb625 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x299c3bcf90efb625;
li x10, 0x299c3bcf90efb625
sm3p0 x11, x10
sw x11, 576(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_93:
// rs1_val == 0x9a4e9ef10171f4df 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x9a4e9ef10171f4df;
li x10, 0x9a4e9ef10171f4df
sm3p0 x11, x10
sw x11, 584(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_94:
// rs1_val == 0x1fc493caa371db42 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x1fc493caa371db42;
li x10, 0x1fc493caa371db42
sm3p0 x11, x10
sw x11, 592(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_95:
// rs1_val == 0xd169a3f8cad5e297 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xd169a3f8cad5e297;
li x10, 0xd169a3f8cad5e297
sm3p0 x11, x10
sw x11, 600(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_96:
// rs1_val == 0xf4c30307672f666d 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xf4c30307672f666d;
li x10, 0xf4c30307672f666d
sm3p0 x11, x10
sw x11, 608(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_97:
// rs1_val == 0xd5b9fe5cf69bdcf3 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xd5b9fe5cf69bdcf3;
li x10, 0xd5b9fe5cf69bdcf3
sm3p0 x11, x10
sw x11, 616(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_98:
// rs1_val == 0xa0569d765ebc64cb 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xa0569d765ebc64cb;
li x10, 0xa0569d765ebc64cb
sm3p0 x11, x10
sw x11, 624(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_99:
// rs1_val == 0xe4921bf73047c198 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xe4921bf73047c198;
li x10, 0xe4921bf73047c198
sm3p0 x11, x10
sw x11, 632(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_100:
// rs1_val == 0x2daf9ac7f5faf207 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x2daf9ac7f5faf207;
li x10, 0x2daf9ac7f5faf207
sm3p0 x11, x10
sw x11, 640(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_101:
// rs1_val == 0xfcc1b543c49cd65b 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfcc1b543c49cd65b;
li x10, 0xfcc1b543c49cd65b
sm3p0 x11, x10
sw x11, 648(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_102:
// rs1_val == 0x3459294ef273b44c 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x3459294ef273b44c;
li x10, 0x3459294ef273b44c
sm3p0 x11, x10
sw x11, 656(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_103:
// rs1_val == 0x436f40f274b8de87 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x436f40f274b8de87;
li x10, 0x436f40f274b8de87
sm3p0 x11, x10
sw x11, 664(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_104:
// rs1_val == 0xc5521660f3a3c571 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xc5521660f3a3c571;
li x10, 0xc5521660f3a3c571
sm3p0 x11, x10
sw x11, 672(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_105:
// rs1_val == 8796093022208, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x80000000000;
li x10, 0x80000000000
sm3p0 x11, x10
sw x11, 680(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_106:
// rs1_val == 4398046511104, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x40000000000;
li x10, 0x40000000000
sm3p0 x11, x10
sw x11, 688(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_107:
// rs1_val == 2199023255552, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x20000000000;
li x10, 0x20000000000
sm3p0 x11, x10
sw x11, 696(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_108:
// rs1_val == 1099511627776, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x10000000000;
li x10, 0x10000000000
sm3p0 x11, x10
sw x11, 704(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_109:
// rs1_val == 549755813888, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x8000000000;
li x10, 0x8000000000
sm3p0 x11, x10
sw x11, 712(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_110:
// rs1_val == 274877906944, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x4000000000;
li x10, 0x4000000000
sm3p0 x11, x10
sw x11, 720(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_111:
// rs1_val == 137438953472, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x2000000000;
li x10, 0x2000000000
sm3p0 x11, x10
sw x11, 728(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_112:
// rs1_val == 68719476736, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x1000000000;
li x10, 0x1000000000
sm3p0 x11, x10
sw x11, 736(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_113:
// rs1_val == 34359738368, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x800000000;
li x10, 0x800000000
sm3p0 x11, x10
sw x11, 744(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_114:
// rs1_val == 17179869184, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x400000000;
li x10, 0x400000000
sm3p0 x11, x10
sw x11, 752(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_115:
// rs1_val == 8589934592, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x200000000;
li x10, 0x200000000
sm3p0 x11, x10
sw x11, 760(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_116:
// rs1_val == 4294967296, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x100000000;
li x10, 0x100000000
sm3p0 x11, x10
sw x11, 768(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_117:
// rs1_val == 2147483648, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x80000000;
li x10, 0x80000000
sm3p0 x11, x10
sw x11, 776(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_118:
// rs1_val == 1073741824, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x40000000;
li x10, 0x40000000
sm3p0 x11, x10
sw x11, 784(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_119:
// rs1_val == 536870912, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x20000000;
li x10, 0x20000000
sm3p0 x11, x10
sw x11, 792(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_120:
// rs1_val == 268435456, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x10000000;
li x10, 0x10000000
sm3p0 x11, x10
sw x11, 800(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_121:
// rs1_val == 134217728, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x8000000;
li x10, 0x8000000
sm3p0 x11, x10
sw x11, 808(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_122:
// rs1_val == 67108864, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x4000000;
li x10, 0x4000000
sm3p0 x11, x10
sw x11, 816(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_123:
// rs1_val == 33554432, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x2000000;
li x10, 0x2000000
sm3p0 x11, x10
sw x11, 824(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_124:
// rs1_val == 16777216, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x1000000;
li x10, 0x1000000
sm3p0 x11, x10
sw x11, 832(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_125:
// rs1_val == 8388608, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x800000;
li x10, 0x800000
sm3p0 x11, x10
sw x11, 840(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_126:
// rs1_val == 4194304, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x400000;
li x10, 0x400000
sm3p0 x11, x10
sw x11, 848(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_127:
// rs1_val == 2097152, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x200000;
li x10, 0x200000
sm3p0 x11, x10
sw x11, 856(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_128:
// rs1_val == 1048576, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x100000;
li x10, 0x100000
sm3p0 x11, x10
sw x11, 864(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_129:
// rs1_val == 524288, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x80000;
li x10, 0x80000
sm3p0 x11, x10
sw x11, 872(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_130:
// rs1_val == 262144, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x40000;
li x10, 0x40000
sm3p0 x11, x10
sw x11, 880(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_131:
// rs1_val == 131072, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x20000;
li x10, 0x20000
sm3p0 x11, x10
sw x11, 888(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_132:
// rs1_val == 65536, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x10000;
li x10, 0x10000
sm3p0 x11, x10
sw x11, 896(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_133:
// rs1_val == 32768, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x8000;
li x10, 0x8000
sm3p0 x11, x10
sw x11, 904(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_134:
// rs1_val == 16384, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x4000;
li x10, 0x4000
sm3p0 x11, x10
sw x11, 912(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_135:
// rs1_val == 8192, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x2000;
li x10, 0x2000
sm3p0 x11, x10
sw x11, 920(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_136:
// rs1_val == 4096, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x1000;
li x10, 0x1000
sm3p0 x11, x10
sw x11, 928(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_137:
// rs1_val == 2048, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x800;
li x10, 0x800
sm3p0 x11, x10
sw x11, 936(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_138:
// rs1_val == 1024, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x400;
li x10, 0x400
sm3p0 x11, x10
sw x11, 944(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_139:
// rs1_val == 512, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x200;
li x10, 0x200
sm3p0 x11, x10
sw x11, 952(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_140:
// rs1_val == 256, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x100;
li x10, 0x100
sm3p0 x11, x10
sw x11, 960(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_141:
// rs1_val == 128, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x80;
li x10, 0x80
sm3p0 x11, x10
sw x11, 968(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_142:
// rs1_val == 64, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x40;
li x10, 0x40
sm3p0 x11, x10
sw x11, 976(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_143:
// rs1_val == 32, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x20;
li x10, 0x20
sm3p0 x11, x10
sw x11, 984(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_144:
// rs1_val == 16, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x10;
li x10, 0x10
sm3p0 x11, x10
sw x11, 992(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_145:
// rs1_val == 8, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x8;
li x10, 0x8
sm3p0 x11, x10
sw x11, 1000(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_146:
// rs1_val == 4, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x4;
li x10, 0x4
sm3p0 x11, x10
sw x11, 1008(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_147:
// rs1_val == 2, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0x2;
li x10, 0x2
sm3p0 x11, x10
sw x11, 1016(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_148:
// rs1_val == 18374686479671623679, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfeffffffffffffff;
li x10, 0xfeffffffffffffff
sm3p0 x11, x10
sw x11, 1024(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)

inst_149:
// rs1_val == 18444492273895866367, 
// opcode: sm3p0 ; op1:x10; dest:x11; op1val:0xfff7ffffffffffff;
li x10, 0xfff7ffffffffffff
sm3p0 x11, x10
sw x11, 1032(x4)
RVMODEL_IO_ASSERT_GPR_EQ(x16, x11, 0x0000000000000000)
#endif


RVTEST_CODE_END
RVMODEL_HALT

RVTEST_DATA_BEGIN
.align 4
rvtest_data:
.word 0xbabecafe
RVTEST_DATA_END

RVMODEL_DATA_BEGIN


signature_x17_0:
    .fill 0*(XLEN/32),4,0xdeadbeef


signature_x17_1:
    .fill 20*(XLEN/32),4,0xdeadbeef


signature_x4_0:
    .fill 130*(XLEN/32),4,0xdeadbeef

#ifdef rvtest_mtrap_routine

mtrap_sigptr:
    .fill 64*(XLEN/32),4,0xdeadbeef

#endif

#ifdef rvtest_gpr_save

gpr_save:
    .fill 32*(XLEN/32),4,0xdeadbeef

#endif

RVMODEL_DATA_END
